#!/bin/bash
set -e

# From: https://github.com/OSInside/kiwi/blob/v9.23.20/kiwi/config/functions.sh
# Or: /usr/lib/python3.6/site-packages/kiwi/config/functions.sh (python3-kiwi package)
function baseUpdateSysConfig {
    # /.../
    # Update the contents of a sysconfig variable
    # ----
    local FILE=$1
    local VAR
    local VAL
    if [ -f "${FILE}" ];then
        VAR=$2
        VAL=$3
        eval sed -i "s'@^\($VAR=\).*\$@\1\\\"$VAL\\\"@'" "${FILE}"
    else
        echo "warning: config file $FILE not found"
    fi
}

# GNOME desktop by default (live system starts with Openbox due to Firstboot)
baseUpdateSysConfig /etc/sysconfig/windowmanager DEFAULT_WM gnome

# Enable journal write to disk
sed -i '/Storage=volatile/d' /etc/systemd/journald.conf

exit 0
